Get information about all configured scheduled jobs
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/customerjobs/configured
Path Parameters
- clientIdinteger<int64>requiredDescriptionFormatint64
Query Parameters
- limitinteger<int32>DescriptionFormatint32
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Responses
200
- RestConfiguredJobStreamingCollection
- elementsRestConfiguredJob[]
- namestringDescription
- descriptionstringDescription
- typestringDescription
- jobDatamap<string, string>
- triggersRestJobTrigger[]
- namestringDescription
- statestringDescription
- nextFireTimestring<date-time>DescriptionFormatdate-time
- lastFiredTimestring<date-time>DescriptionFormatdate-time
- startedstring<date-time>DescriptionFormatdate-time
- finishedstring<date-time>DescriptionFormatdate-time
- countinteger<int32>Formatint32
- offsetinteger<int32>Formatint32
- limitinteger<int32>Formatint32
400
403
curl
curl --request GET \
--url https://api.campaign.episerver.net/rest/{clientId}/customerjobs/configured \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/customerjobs/configured", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/customerjobs/configured")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/customerjobs/configured"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// All configured scheduled jobs were retrieved successfully (empty result if none was found).
{
"elements": [
{
"name": "",
"description": "",
"type": "",
"jobData": "",
"triggers": [
{
"name": "",
"state": "",
"nextFireTime": "",
"lastFiredTime": "",
"started": "",
"finished": ""
}
]
}
],
"count": "",
"offset": "",
"limit": ""
}400
// Invalid limit request. Change the limit to less than 10000.
403
// IP address was not allowed to access jobs rest api server.